## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysRenderer Struct Reference
[Sound system]

@@ Document me! More...

`#include <isndsys/ss_renderer.h>`

Inheritance diagram for iSndSysRenderer:

[legend]
List of all members.

## Public Member Functions

virtual csPtr< iSndSysSource > | CreateSource (iSndSysStream *stream)=0
| Creates a source when provided with a Sound Stream.
virtual csPtr< iSndSysStream > | CreateStream (iSndSysData *data, int mode3d)=0
| Uses the provided iSound2Data to create a sound stream with the given 3D rendering mode.
virtual csRef< iSndSysListener > | GetListener ()=0
| Get the global Listener object.
virtual float | GetVolume ()=0
| Get Volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).
virtual bool | RemoveSource (iSndSysSource *source)=0
| Remove a source from the sound renderer's list of sources.
virtual bool | RemoveStream (iSndSysStream *stream)=0
| Remove a stream from the sound renderer's list of streams.
virtual void | SetVolume (float vol)=0
| Set Volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

## Detailed Description

@@ Document me!

Todo:
  Should Sound Streams get processing time even if no Sound Sources are attached?

Definition at line 54 of file ss_renderer.h.

## Member Function Documentation

virtual csPtr<iSndSysSource> iSndSysRenderer::CreateSource | ( | iSndSysStream * | stream | ) | `[pure virtual]`

| Creates a source when provided with a Sound Stream.

virtual csPtr<iSndSysStream> iSndSysRenderer::CreateStream | ( | iSndSysData * | data,
|  | int | mode3d
| ) | `[pure virtual]`

| Uses the provided iSound2Data to create a sound stream with the given 3D rendering mode.

virtual csRef<iSndSysListener> iSndSysRenderer::GetListener | ( |  | ) | `[pure virtual]`

| Get the global Listener object.

virtual float iSndSysRenderer::GetVolume | ( |  | ) | `[pure virtual]`

| Get Volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

virtual bool iSndSysRenderer::RemoveSource | ( | iSndSysSource * | source | ) | `[pure virtual]`

| Remove a source from the sound renderer's list of sources.

virtual bool iSndSysRenderer::RemoveStream | ( | iSndSysStream * | stream | ) | `[pure virtual]`

| Remove a stream from the sound renderer's list of streams.

virtual void iSndSysRenderer::SetVolume | ( | float | vol | ) | `[pure virtual]`

| Set Volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

The documentation for this struct was generated from the following file:

- isndsys/ss_renderer.h